%define		extension gnome-keyring
Summary:	Extension that enables Gnome Keyring integration
Name:		mozilla-addon-%{extension}
Version:	0.6.1
Release:	8
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	https://github.com/infinity0/mozilla-gnome-keyring/tarball/%{version}/%{name}-%{version}.tgz
# Source0-md5:	078ad1df972de74d8a60f4feead0c053
URL:		https://github.com/infinity0/mozilla-gnome-keyring/
BuildRequires:	libgnome-keyring-devel >= 3.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkg-config
BuildRequires:	xulrunner-devel
BuildRequires:	zip
Requires:	libgnome-keyring >= 3.4.0
%requires_eq_to	xulrunner xulrunner-devel
ExclusiveArch:	%{x8664} %{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# this comes from install.rdf
%define		extension_id	\{6f9d85e0-794d-11dd-ad8b-0800200c9a66\}
%define		extensionsdir	%{_libdir}/mozilla/extensions

# https://developer.mozilla.org/en/XPCOM_ABI#ABI_Naming
%define		platform		unknown
%ifarch %{ix86}
%define		platform		Linux_x86-gcc3
%endif
%ifarch %{x8664}
%define		platform		Linux_x86_64-gcc3
%endif

%description
This extension replaces the default password manager in both Firefox
and Thunderbird with an implementation which stores the passwords in
Gnome keyring.

This allows for safe storage of passwords without prompting for
password after Firefox or Thunderbird has been started.

%prep
%setup -qc
mv *-gnome-keyring-*/* .

%{__sed} -i -e '/^CXXFLAGS/ s/$/ $(OPTFLAGS)/' Makefile

# keep minversion
%{__sed} -i -e 's/XUL_VER_MIN=$(XUL_VERSION)/XUL_VER_MIN=/' Makefile

%build
# build ext for current arch only
%{__make} build-xpi \
	PLATFORM=%{platform} \
	VERSION=%{version} \
	CXX="%{__cxx}" \
	OPTFLAGS="%{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT
# Install Gecko extension
install -d $RPM_BUILD_ROOT%{extensionsdir}/%{extension_id}
cp -a xpi/* $RPM_BUILD_ROOT%{extensionsdir}/%{extension_id}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{extensionsdir}/%{extension_id}
%{extensionsdir}/%{extension_id}/chrome.manifest
%{extensionsdir}/%{extension_id}/install.rdf
%dir %{extensionsdir}/%{extension_id}/platform
%dir %{extensionsdir}/%{extension_id}/platform/%{platform}
%dir %{extensionsdir}/%{extension_id}/platform/%{platform}/components
%attr(755,root,root) %{extensionsdir}/%{extension_id}/platform/%{platform}/components/libgnomekeyring.so
%changelog
* Wed Aug 29 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mozilla-addon-gnome-keyring.git;a=log;h=master

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 78c262b
Release 8

* Thu Jul 19 2012 Jan Rękorajski <baggins@pld-linux.org> 160717e
Release 7

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 2dbb23b
- release 6 (by relup.sh)

* Wed Jun 06 2012 Jan Rękorajski <baggins@pld-linux.org> 92bd121
- rel 5
- rebuild with xulrunner 13

* Wed May 16 2012 Elan Ruusamäe <glen@pld-linux.org> 61922d3
- keep xul minversion (so that icedove 11.x can work with xulrunner 12.x)

* Sun May 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 36c1bdd
- release 3

* Fri Mar 30 2012 Elan Ruusamäe <glen@pld-linux.org> 9a226b9
- damn gnome forward compatible deps that can't be nicely handled in rpm
  BR newer gcr to ensure runtime has at least same version, but do not lock at strict version yet
  /usr/lib/icedove/icedove-bin: symbol lookup error: /home/users/glen/.icedove/glen/extensions/{6f9d85e0-794d-11dd-ad8b-0800200c9a66}/platform/Linux_x86-gcc3/components/libgnomekeyring.so: undefined symbol: gnome_keyring_attribute_list_new

* Fri Mar 30 2012 Elan Ruusamäe <glen@pld-linux.org> 02deb9f
- xul platform version detected at compile time, lock to it

* Fri Mar 30 2012 Elan Ruusamäe <glen@pld-linux.org> 8519529
- license updated as well

* Fri Mar 30 2012 Elan Ruusamäe <glen@pld-linux.org> b6a259e
- md5

* Fri Mar 30 2012 Elan Ruusamäe <glen@pld-linux.org> 834f721
- up to 0.6.1, supports XUL 10.*; there's maintainer now

* Sat Aug 27 2011 Elan Ruusamäe <glen@pld-linux.org> fb81eb7
- update from git, not sure what version is, so let's call it 0.5.1.1

* Wed Jul 13 2011 Elan Ruusamäe <glen@pld-linux.org> c85d16b
- missing dir

* Wed Jul 13 2011 Elan Ruusamäe <glen@pld-linux.org> 0118d3d
- new, altho not sure how we should name and package gecko extensions like this

